Subject: RE: [Diffserv] A revised expression of the Expedited Forwarding PH B

From: [email-masked]
Date: Fri, 15 Dec 2000 15:25:00 -0600

Scott and John,

I don't have a strong preference here, but is this really the way we 
want to interpret the words?  If I understand Scott's conclusion, it is 
that one excess EF packet removes all EF behavior requirements (for how 
long?).  That might be fine if its easy to make it so that 100% of the 
EF traffic is conforming.  Otherwise it might be too rigorous an 
interpretation.

I also don't agree that the alternate interpretation ("NOT REQUIRED to 
deliver the EF behavior to the excess traffic") requires metering.  The 
discrimination could be implicit.  For example, it could be that the 
excess traffic is discarded because it doesn't fit in a buffer.  You 
don't have to discard it, but if you do its ok, and meanwhile you still 
provide the required treatment to the traffic that didn't overflow the 
buffer.

My inclination is toward the less rigorous interpretation.

My apologies if I'm off on the wrong track here.

John Kenney

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, December 15, 2000 12:49 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [Diffserv] A revised expression of the Expedited 
> Forwarding
> PHB
> 
> 
> Of course, you are right.
> The interpretation I (wrongly) endorsed would imply traffic rate 
> meters where they are not intended by the diffserv architecture.
> 
> John
> 
> At 02:14 PM 12/14/2000 -0800, Scott Brim wrote:
> >On 14 Dec 2000 at 16:40 -0500, John Schnizlein apparently wrote:
> >> At 12:56 PM 12/14/2000 -0800, Larry Ayres wrote:
> >> >It seems to me that the first sentence on page 3 which reads:
> >> >
> >> >If more EF traffic arrives than is acceptable, the device 
> is NOT REQUIRED
> >> >to deliver the EF behavior.
> >> >
> >> >is meant to convey:
> >> >
> >> >If more EF traffic arrives than is acceptable, the device 
> is NOT REQUIRED
> >> >to deliver the EF behavior to the excess traffic.
> >> >
> >> >Am I right in this interpretation ?
> >> 
> >> Yes.
> >
> >Um, except that implies to me a requirement that the forwarder
> >discriminate between traffic which is "excess" and traffic 
> which is not.
> >The top version is better in that respect.
> >
> >...Scott
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: 
http://www2.ietf.org/mail-archive/working-groups/diffserv/current/mailli
st.html

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html